curl --request POST \
--url https://api.firedrill.run/v1/service-builds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"projectId": "<string>",
"environmentId": "<string>",
"entryPoint": "<string>",
"manifest": {
"schemaVersion": 1,
"id": "<string>",
"version": "<string>",
"engine": "<string>",
"capabilities": [],
"operations": [
{
"id": "<string>",
"inputSchema": {},
"outputSchema": {},
"description": "<string>",
"declaredErrors": []
}
],
"state": [],
"events": [],
"faults": [],
"subscriptions": [],
"http": [],
"callbacks": [],
"compatibility": [],
"connections": [
{
"id": "<string>",
"title": "<string>",
"environment": {},
"instructions": "<string>"
}
]
},
"files": [
{
"path": "<string>",
"content": "<string>"
}
]
}
'import requests
url = "https://api.firedrill.run/v1/service-builds"
payload = {
"projectId": "<string>",
"environmentId": "<string>",
"entryPoint": "<string>",
"manifest": {
"schemaVersion": 1,
"id": "<string>",
"version": "<string>",
"engine": "<string>",
"capabilities": [],
"operations": [
{
"id": "<string>",
"inputSchema": {},
"outputSchema": {},
"description": "<string>",
"declaredErrors": []
}
],
"state": [],
"events": [],
"faults": [],
"subscriptions": [],
"http": [],
"callbacks": [],
"compatibility": [],
"connections": [
{
"id": "<string>",
"title": "<string>",
"environment": {},
"instructions": "<string>"
}
]
},
"files": [
{
"path": "<string>",
"content": "<string>"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: '<string>',
environmentId: '<string>',
entryPoint: '<string>',
manifest: {
schemaVersion: 1,
id: '<string>',
version: '<string>',
engine: '<string>',
capabilities: [],
operations: [
{
id: '<string>',
inputSchema: {},
outputSchema: {},
description: '<string>',
declaredErrors: []
}
],
state: [],
events: [],
faults: [],
subscriptions: [],
http: [],
callbacks: [],
compatibility: [],
connections: [{id: '<string>', title: '<string>', environment: {}, instructions: '<string>'}]
},
files: [{path: '<string>', content: '<string>'}]
})
};
fetch('https://api.firedrill.run/v1/service-builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firedrill.run/v1/service-builds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>',
'environmentId' => '<string>',
'entryPoint' => '<string>',
'manifest' => [
'schemaVersion' => 1,
'id' => '<string>',
'version' => '<string>',
'engine' => '<string>',
'capabilities' => [
],
'operations' => [
[
'id' => '<string>',
'inputSchema' => [
],
'outputSchema' => [
],
'description' => '<string>',
'declaredErrors' => [
]
]
],
'state' => [
],
'events' => [
],
'faults' => [
],
'subscriptions' => [
],
'http' => [
],
'callbacks' => [
],
'compatibility' => [
],
'connections' => [
[
'id' => '<string>',
'title' => '<string>',
'environment' => [
],
'instructions' => '<string>'
]
]
],
'files' => [
[
'path' => '<string>',
'content' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.firedrill.run/v1/service-builds"
payload := strings.NewReader("{\n \"projectId\": \"<string>\",\n \"environmentId\": \"<string>\",\n \"entryPoint\": \"<string>\",\n \"manifest\": {\n \"schemaVersion\": 1,\n \"id\": \"<string>\",\n \"version\": \"<string>\",\n \"engine\": \"<string>\",\n \"capabilities\": [],\n \"operations\": [\n {\n \"id\": \"<string>\",\n \"inputSchema\": {},\n \"outputSchema\": {},\n \"description\": \"<string>\",\n \"declaredErrors\": []\n }\n ],\n \"state\": [],\n \"events\": [],\n \"faults\": [],\n \"subscriptions\": [],\n \"http\": [],\n \"callbacks\": [],\n \"compatibility\": [],\n \"connections\": [\n {\n \"id\": \"<string>\",\n \"title\": \"<string>\",\n \"environment\": {},\n \"instructions\": \"<string>\"\n }\n ]\n },\n \"files\": [\n {\n \"path\": \"<string>\",\n \"content\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.firedrill.run/v1/service-builds")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\",\n \"environmentId\": \"<string>\",\n \"entryPoint\": \"<string>\",\n \"manifest\": {\n \"schemaVersion\": 1,\n \"id\": \"<string>\",\n \"version\": \"<string>\",\n \"engine\": \"<string>\",\n \"capabilities\": [],\n \"operations\": [\n {\n \"id\": \"<string>\",\n \"inputSchema\": {},\n \"outputSchema\": {},\n \"description\": \"<string>\",\n \"declaredErrors\": []\n }\n ],\n \"state\": [],\n \"events\": [],\n \"faults\": [],\n \"subscriptions\": [],\n \"http\": [],\n \"callbacks\": [],\n \"compatibility\": [],\n \"connections\": [\n {\n \"id\": \"<string>\",\n \"title\": \"<string>\",\n \"environment\": {},\n \"instructions\": \"<string>\"\n }\n ]\n },\n \"files\": [\n {\n \"path\": \"<string>\",\n \"content\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firedrill.run/v1/service-builds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\",\n \"environmentId\": \"<string>\",\n \"entryPoint\": \"<string>\",\n \"manifest\": {\n \"schemaVersion\": 1,\n \"id\": \"<string>\",\n \"version\": \"<string>\",\n \"engine\": \"<string>\",\n \"capabilities\": [],\n \"operations\": [\n {\n \"id\": \"<string>\",\n \"inputSchema\": {},\n \"outputSchema\": {},\n \"description\": \"<string>\",\n \"declaredErrors\": []\n }\n ],\n \"state\": [],\n \"events\": [],\n \"faults\": [],\n \"subscriptions\": [],\n \"http\": [],\n \"callbacks\": [],\n \"compatibility\": [],\n \"connections\": [\n {\n \"id\": \"<string>\",\n \"title\": \"<string>\",\n \"environment\": {},\n \"instructions\": \"<string>\"\n }\n ]\n },\n \"files\": [\n {\n \"path\": \"<string>\",\n \"content\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"projectId": "<string>",
"status": "<string>",
"manifest": {},
"sourceDigest": "<string>",
"manifestDigest": "<string>",
"artifactDigest": "<string>",
"createdAt": "<string>",
"view": {
"schemaVersion": 1,
"title": "<string>",
"records": [
{
"id": "<string>",
"title": "<string>",
"operationId": "<string>",
"arguments": {},
"rowsPath": [
"<string>"
],
"columns": [
{
"label": "<string>",
"path": [
"<string>"
]
}
]
}
],
"forms": [
{
"id": "<string>",
"title": "<string>",
"operationId": "<string>",
"fields": [
{
"name": "<string>",
"label": "<string>",
"kind": "number"
}
]
}
]
},
"viewDigest": "<string>",
"datasetPolicy": {
"schemaVersion": "2026-10-15-dataset-policy.1",
"constraints": [
{
"id": "<string>",
"kind": "count",
"namespace": "<string>",
"min": 123,
"max": 123
}
]
},
"datasetPolicyDigest": "<string>",
"publicationDigest": "<string>",
"failure": {
"schemaVersion": "2026-10-17-service-build-diagnostics.1",
"code": "FD_SERVICE_BUILD_FAILED",
"diagnostics": [
{
"code": "SOURCE_SYNTAX",
"message": "<string>",
"repair": "<string>",
"file": "<string>",
"line": 123,
"column": 123
}
],
"truncated": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}Publish private Tool source
Requires services:publish. Publishes selected source, manifest and optional authored view/browser app as an immutable private Tool version. Entry point must be one of the selected files; duplicate/traversal paths are rejected. A returned failed build is not usable publication, and schema declarations do not prove fidelity to an external dependency.
curl --request POST \
--url https://api.firedrill.run/v1/service-builds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"projectId": "<string>",
"environmentId": "<string>",
"entryPoint": "<string>",
"manifest": {
"schemaVersion": 1,
"id": "<string>",
"version": "<string>",
"engine": "<string>",
"capabilities": [],
"operations": [
{
"id": "<string>",
"inputSchema": {},
"outputSchema": {},
"description": "<string>",
"declaredErrors": []
}
],
"state": [],
"events": [],
"faults": [],
"subscriptions": [],
"http": [],
"callbacks": [],
"compatibility": [],
"connections": [
{
"id": "<string>",
"title": "<string>",
"environment": {},
"instructions": "<string>"
}
]
},
"files": [
{
"path": "<string>",
"content": "<string>"
}
]
}
'import requests
url = "https://api.firedrill.run/v1/service-builds"
payload = {
"projectId": "<string>",
"environmentId": "<string>",
"entryPoint": "<string>",
"manifest": {
"schemaVersion": 1,
"id": "<string>",
"version": "<string>",
"engine": "<string>",
"capabilities": [],
"operations": [
{
"id": "<string>",
"inputSchema": {},
"outputSchema": {},
"description": "<string>",
"declaredErrors": []
}
],
"state": [],
"events": [],
"faults": [],
"subscriptions": [],
"http": [],
"callbacks": [],
"compatibility": [],
"connections": [
{
"id": "<string>",
"title": "<string>",
"environment": {},
"instructions": "<string>"
}
]
},
"files": [
{
"path": "<string>",
"content": "<string>"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: '<string>',
environmentId: '<string>',
entryPoint: '<string>',
manifest: {
schemaVersion: 1,
id: '<string>',
version: '<string>',
engine: '<string>',
capabilities: [],
operations: [
{
id: '<string>',
inputSchema: {},
outputSchema: {},
description: '<string>',
declaredErrors: []
}
],
state: [],
events: [],
faults: [],
subscriptions: [],
http: [],
callbacks: [],
compatibility: [],
connections: [{id: '<string>', title: '<string>', environment: {}, instructions: '<string>'}]
},
files: [{path: '<string>', content: '<string>'}]
})
};
fetch('https://api.firedrill.run/v1/service-builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firedrill.run/v1/service-builds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>',
'environmentId' => '<string>',
'entryPoint' => '<string>',
'manifest' => [
'schemaVersion' => 1,
'id' => '<string>',
'version' => '<string>',
'engine' => '<string>',
'capabilities' => [
],
'operations' => [
[
'id' => '<string>',
'inputSchema' => [
],
'outputSchema' => [
],
'description' => '<string>',
'declaredErrors' => [
]
]
],
'state' => [
],
'events' => [
],
'faults' => [
],
'subscriptions' => [
],
'http' => [
],
'callbacks' => [
],
'compatibility' => [
],
'connections' => [
[
'id' => '<string>',
'title' => '<string>',
'environment' => [
],
'instructions' => '<string>'
]
]
],
'files' => [
[
'path' => '<string>',
'content' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.firedrill.run/v1/service-builds"
payload := strings.NewReader("{\n \"projectId\": \"<string>\",\n \"environmentId\": \"<string>\",\n \"entryPoint\": \"<string>\",\n \"manifest\": {\n \"schemaVersion\": 1,\n \"id\": \"<string>\",\n \"version\": \"<string>\",\n \"engine\": \"<string>\",\n \"capabilities\": [],\n \"operations\": [\n {\n \"id\": \"<string>\",\n \"inputSchema\": {},\n \"outputSchema\": {},\n \"description\": \"<string>\",\n \"declaredErrors\": []\n }\n ],\n \"state\": [],\n \"events\": [],\n \"faults\": [],\n \"subscriptions\": [],\n \"http\": [],\n \"callbacks\": [],\n \"compatibility\": [],\n \"connections\": [\n {\n \"id\": \"<string>\",\n \"title\": \"<string>\",\n \"environment\": {},\n \"instructions\": \"<string>\"\n }\n ]\n },\n \"files\": [\n {\n \"path\": \"<string>\",\n \"content\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.firedrill.run/v1/service-builds")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\",\n \"environmentId\": \"<string>\",\n \"entryPoint\": \"<string>\",\n \"manifest\": {\n \"schemaVersion\": 1,\n \"id\": \"<string>\",\n \"version\": \"<string>\",\n \"engine\": \"<string>\",\n \"capabilities\": [],\n \"operations\": [\n {\n \"id\": \"<string>\",\n \"inputSchema\": {},\n \"outputSchema\": {},\n \"description\": \"<string>\",\n \"declaredErrors\": []\n }\n ],\n \"state\": [],\n \"events\": [],\n \"faults\": [],\n \"subscriptions\": [],\n \"http\": [],\n \"callbacks\": [],\n \"compatibility\": [],\n \"connections\": [\n {\n \"id\": \"<string>\",\n \"title\": \"<string>\",\n \"environment\": {},\n \"instructions\": \"<string>\"\n }\n ]\n },\n \"files\": [\n {\n \"path\": \"<string>\",\n \"content\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firedrill.run/v1/service-builds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\",\n \"environmentId\": \"<string>\",\n \"entryPoint\": \"<string>\",\n \"manifest\": {\n \"schemaVersion\": 1,\n \"id\": \"<string>\",\n \"version\": \"<string>\",\n \"engine\": \"<string>\",\n \"capabilities\": [],\n \"operations\": [\n {\n \"id\": \"<string>\",\n \"inputSchema\": {},\n \"outputSchema\": {},\n \"description\": \"<string>\",\n \"declaredErrors\": []\n }\n ],\n \"state\": [],\n \"events\": [],\n \"faults\": [],\n \"subscriptions\": [],\n \"http\": [],\n \"callbacks\": [],\n \"compatibility\": [],\n \"connections\": [\n {\n \"id\": \"<string>\",\n \"title\": \"<string>\",\n \"environment\": {},\n \"instructions\": \"<string>\"\n }\n ]\n },\n \"files\": [\n {\n \"path\": \"<string>\",\n \"content\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"projectId": "<string>",
"status": "<string>",
"manifest": {},
"sourceDigest": "<string>",
"manifestDigest": "<string>",
"artifactDigest": "<string>",
"createdAt": "<string>",
"view": {
"schemaVersion": 1,
"title": "<string>",
"records": [
{
"id": "<string>",
"title": "<string>",
"operationId": "<string>",
"arguments": {},
"rowsPath": [
"<string>"
],
"columns": [
{
"label": "<string>",
"path": [
"<string>"
]
}
]
}
],
"forms": [
{
"id": "<string>",
"title": "<string>",
"operationId": "<string>",
"fields": [
{
"name": "<string>",
"label": "<string>",
"kind": "number"
}
]
}
]
},
"viewDigest": "<string>",
"datasetPolicy": {
"schemaVersion": "2026-10-15-dataset-policy.1",
"constraints": [
{
"id": "<string>",
"kind": "count",
"namespace": "<string>",
"min": 123,
"max": 123
}
]
},
"datasetPolicyDigest": "<string>",
"publicationDigest": "<string>",
"failure": {
"schemaVersion": "2026-10-17-service-build-diagnostics.1",
"code": "FD_SERVICE_BUILD_FAILED",
"diagnostics": [
{
"code": "SOURCE_SYNTAX",
"message": "<string>",
"repair": "<string>",
"file": "<string>",
"line": 123,
"column": 123
}
],
"truncated": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}Authorizations
Opaque Firedrill interactive or scoped machine credential. The CLI handles human-approved login; CI stores its scoped credential as FIREDRILL_TOKEN. Capabilities and project/environment ownership are rechecked at use.
Headers
Save a unique stable key for this exact logical action, at most 200 characters. Reuse it with identical input after an uncertain response. A new key is new intent; it must not be used merely to recover an accepted action.
1 - 200Body
1 - 1601 - 1601 - 240^[A-Za-z0-9][A-Za-z0-9_./-]*\.(?:ts|js|mjs)$Show child attributes
Show child attributes
1 - 128 elementsShow child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
The retained resource or operation response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes